import { jsx as _jsx } from "react/jsx-runtime";
import { Tabs as Tabs_ } from '@rspress/core/theme';
import { Children } from 'react';
import { useIsPrint } from '../hooks/index.js';
export const Tabs = ({ ref, children, ...props }) => {
    const isPrint = useIsPrint();
    return (_jsx("div", { className: "doom-tabs", ref: ref, children: isPrint ? (
        // eslint-disable-next-line @eslint-react/no-children-map
        Children.map(children, (child, index) => (
        // eslint-disable-next-line @eslint-react/no-array-index-key
        _jsx(Tabs_, { ...props, children: child }, index)))) : (_jsx(Tabs_, { ...props, children: children })) }));
};
export default Tabs;
